View Issue Details

IDProjectCategoryView StatusLast Update
0001583Database Comparer VCLGeneralpublic2019-12-23 21:33
Reportershirokov Assigned Tobarry  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.1.0.1692 
Target Version7.1.0.1692Fixed in Version8.0.0.1693.Beta 
Summary0001583: MS SQL DB extractor issues
Description1. TMSSQLDBExtract.ColumnType can't recognize 'date' type, I have added a line below. It seems ok, but you need to confirm.
 ...
 if TypeName = 'date' then fldData.FieldType := iftDate
 else begin // ? user type
 if Assigned((fStructure.Objs as TObjs).Domains[TypeName
2. TMSSQLDBExtract can't extract "next value for ...." in procedure body, I couldn't find any resolve.
I have added scripts which taken from mssql studio and your extractMetaData. you can easily see the differences in the procedure (aa_InsertToExportQueue) body

3. We extract MS-SQL Database1 metadata. You can find script in attached file.
4. When we compare this script by the ScriptComparer component.
5. We encounter the attached error : attached 1.jpg

The DB scripts are attached.
TagsNo tags attached.

Activities

shirokov

2019-12-16 21:54

administrator  

scriptsAndLog.zip (146,019 bytes)

barry

2019-12-23 21:33

administrator   ~0004277

+ AT TIME ZONE

Issue History

Date Modified Username Field Change
2019-12-16 21:54 shirokov New Issue
2019-12-16 21:54 shirokov Status new => assigned
2019-12-16 21:54 shirokov Assigned To => barry
2019-12-16 21:54 shirokov File Added: scriptsAndLog.zip
2019-12-16 23:55 barry Status assigned => acknowledged
2019-12-17 08:47 barry Status acknowledged => resolved
2019-12-17 08:47 barry Resolution open => fixed
2019-12-17 08:47 barry Fixed in Version => 8.0.0.1693.Beta
2019-12-23 21:33 barry Note Added: 0004277